=== debian/changelog ===
ros-melodic-draco-point-cloud-transport (1.0.5-1bionic) bionic; urgency=high

  * Fixed formatting.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 15 Jun 2023 22:00:00 -0000

ros-melodic-draco-point-cloud-transport (1.0.4-1bionic) bionic; urgency=high

  * Fixed handling of clouds with invalid points.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 15 Jun 2023 22:00:00 -0000

ros-melodic-draco-point-cloud-transport (1.0.3-1bionic) bionic; urgency=high

  * Compatibility with GCC 7.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 12 May 2023 22:00:00 -0000

ros-melodic-draco-point-cloud-transport (1.0.2-1bionic) bionic; urgency=high

  * Report log messages from the transport via the log helper.
  * Hide draco library symbols from include files so that it does not have to be exported.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 10 May 2023 22:00:00 -0000

ros-melodic-draco-point-cloud-transport (1.0.1-1bionic) bionic; urgency=high

  * More robust Draco CMake finding.
  * Adopted direct encoders and decoders.
  * Moved draco_point_cloud_transport into its own folder
  * Forked from https://github.com/paplhjak/draco_point_cloud_transport
  * Contributors: Martin Pecka, Jakub Paplham, Tomas Petricek

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 10 May 2023 22:00:00 -0000
