=== debian/control ===
Source: ros-melodic-draco-point-cloud-transport
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), python-catkin-lint <!nocheck>, ros-melodic-catkin, ros-melodic-cras-cpp-common, ros-melodic-draco, ros-melodic-dynamic-reconfigure, ros-melodic-message-generation, ros-melodic-pluginlib, ros-melodic-point-cloud-transport, ros-melodic-roslint <!nocheck>, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Homepage: https://wiki.ros.org/draco_point_cloud_transport
Standards-Version: 3.9.2

Package: ros-melodic-draco-point-cloud-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-cras-cpp-common, ros-melodic-draco, ros-melodic-dynamic-reconfigure, ros-melodic-message-runtime, ros-melodic-pluginlib, ros-melodic-point-cloud-transport, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Description: draco_point_cloud_transport provides a plugin to point_cloud_transport for sending point clouds encoded with KD tree compression.
